# CMS package by TDev Agency

1. [Futures](#futures)
1. [Adding package to project](#adding-package-to-project)
1. [First installation](#first-installation)
1. [Admin sidebar](#admin-sidebar)
1. [Cms config](#cms-config)
1. [Extend admin with custom VUE components](#extend-admin-with-custom-vue-components)


## Futures

1. Basic admin layout with roles protection
1. Sortable columns
1. Foms spam protection
1. Multilungual
1. Breadcrumbs 


## Adding package to project

### Add to ``composer.json``

```json
{
  "require": {
    ...
    "tdev-agency/cms" : "^<current_package version>"
  },
  "repositories": [
    ...
    {
      "type": "vcs",
      "url": "https://bitbucket.org/tdev-agency/cms.git"
    },
    {
      "type": "vcs",
        "url": "https://bitbucket.org/tdev-agency/files-manager.git"
     }
   ]
}
```

### Add to project `.gitignore`

```gitignore
/public/cms
/public/ckeditor
```

### Run command to install package

```bash
composer require tdev-agency/cms
```

If will ask credentials, add them:

**Key:** ``sJAArQ86NasUj7QRhP``

**Secret:** ``WQvWeF3EqnJAhPrqmrKkcv4FKSX7VEFG``

## First installation

It will make migrations, added assets, create first page and first admin user

```bash
php artisan cms:install
```

After that publish package config

```bash
php artisan vendor:publish --provider="TDevAgency\Cms\Providers\CmsServiceProvider" --tag=config
```

And [Laravel Localization](https://github.com/mcamara/laravel-localization) package config, to configure localizations

```bash
php artisan vendor:publish --provider="Mcamara\LaravelLocalization\LaravelLocalizationServiceProvider"
```

Create FULL Text index for mysql scout

```bash
php artisan scout:mysql-index TDevAgency\\Cms\\Models\\BaseModels\\PostLocalization
```

## Admin sidebar

## Cms config

## Extend admin with custom VUE components

Create in the project new js file. By default ``admin.js`` and include required components.

```js
import CustomComponent from './CustomComponent'

Vue.component('custom-component', CustomComponent)
```


## Blocks can be excluded

1. `slug` - Is URI for frontend. can be excluded if cms uses of API.
1. `seo-block` - Title and description for seo
1. `author-block` - Copyright in the footer
1. `login-logo` - Logo ont the auth pages
1. `admin-user-settings` - Admin user settings, such as admin area language, roles selection, user status
