<?php

namespace TDevAgency\Cms\Commands;

use Illuminate\Console\Command;
use TDevAgency\Cms\Models\BaseModels\AdminUser;
use TDevAgency\Cms\Providers\CmsServiceProvider;
use TDevAgency\CmsDb\Seeds\FirstPost;

class CmsInstall extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'cms:install';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Add new admin to DB';

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->call('vendor:publish', [
            '--provider' => CmsServiceProvider::class,
            '--tag' => 'config'
        ]);
        $this->call('config:clear');
        $this->call('cache:clear');
//        $this->call('fm:publish');
        $this->call('migrate', [
            '--force' => true
        ]);
        $this->call('db:seed', [
            '--class' => FirstPost::class
        ]);

        if (AdminUser::count() === 0) {
            $this->call('cms:add-admin');
        }
        $this->call('cms:assets');
    }
}
