@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group">
        @if(isset($placeholder))
            <label class="control-label col-xs-12">{!! $placeholder !!}</label>
        @endif
            <div class="col-xs-12" :class="{'is-invalid': errors.has('{{ inputKeyToName($key) }}')}">
                @forelse($options as $optionValue => $optionText)
                    <div class="custom-control custom-radio">
                        <input type="radio"
                               class="custom-control-input"
                               :class="{'is-invalid': errors.has('{{ $key }}')}"
                               name="{{ inputKeyToName($key) }}"
                               id="{!! $optionText !!}"
                               value="{!! $optionValue !!}"
                               data-vv-as="{{$placeholder}}"
                               v-validate="'{{ $validate }}'"
                               @if(isset($value) && $value == $optionValue)
                               checked
                            @endif
                        @if(isset($attributes) && is_array($attributes) && !empty($attributes))
                            @foreach($attributes as $attr_key => $attr_val )
                                @if(is_int($attr_key))
                                    {{$attr_val}}
                                    @else
                                    {!! sprintf('%s="%s"', $attr_key, $attr_val) !!}
                                    @endif
                                @endforeach
                            @endif
                        />
                        <label class="custom-control-label" for="{!! $optionText !!}">
                            {!! $optionText !!}
                        </label>
                    </div>
                @empty
                @endforelse

            </div>
            <div v-if="errors.has('{{inputKeyToName($key)}}')" class="invalid-feedback" role="alert">
                @{{errors.first('{!! inputKeyToName($key) !!}')}}
            </div>
        </div>

{{--        @if($errors->has($key))--}}
{{--            <div class="help-block">{!! $errors->first($key) !!}</div>--}}
{{--        @endif--}}
@endif







{{--@php--}}
{{--    /**--}}
{{--    * @var Illuminate\Support\ViewErrorBag $errors--}}
{{--    */--}}
{{--@endphp--}}
{{--@if(isset($key))--}}
{{--    <div class="form-group">--}}
{{--        @if(isset($placeholder))--}}
{{--            <label class="control-label col-xs-12">{!! $placeholder !!}</label>--}}
{{--        @endif--}}
{{--        <div class="col-xs-12" :class="{'is-invalid': errors.has('{{ $key }}')}">--}}
{{--            @forelse($options as $optionValue => $optionText)--}}
{{--                <div class="custom-control custom-radio">--}}
{{--                    <input type="radio"--}}
{{--                           class="custom-control-input"--}}
{{--                           :class="{'is-invalid': errors.has('{{ $key }}')}"--}}
{{--                           name="{{ inputKeyToName($key) }}"--}}
{{--                           id="{!! $optionValue !!}"--}}
{{--                           value="{!! $optionValue !!}"--}}
{{--                           data-vv-as="{{$placeholder}}"--}}
{{--                           v-validate="'{{ $validate }}'"--}}
{{--                           @if(isset($value) && $value == $optionValue)--}}
{{--                           checked--}}
{{--                        @endif--}}
{{--                    @if(isset($attributes) && is_array($attributes) && !empty($attributes))--}}
{{--                        @foreach($attributes as $attr_key => $attr_val )--}}
{{--                            @if(is_int($attr_key))--}}
{{--                                {{$attr_val}}--}}
{{--                                @else--}}
{{--                                {!! sprintf('%s="%s"', $attr_key, $attr_val) !!}--}}
{{--                                @endif--}}
{{--                            @endforeach--}}
{{--                        @endif--}}
{{--                    />--}}
{{--                    <label class="custom-control-label" for="{!! $optionValue !!}">--}}
{{--                        {!! $optionText !!}--}}
{{--                    </label>--}}
{{--                </div>--}}
{{--            @empty--}}
{{--            @endforelse--}}

{{--        </div>--}}
{{--        <div v-if="errors.has('{{inputKeyToName($key)}}')" class="invalid-feedback" role="alert">--}}
{{--            @{{errors.first('{!! inputKeyToName($key) !!}')}}--}}
{{--        </div>--}}
{{--    </div>--}}

{{--@endif--}}
