@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group">
        <label class="control-label"
               for="{{str_replace('.', '_', $key)}}"{{!isset($placeholder)?' class="sr-only"':null}}>{{isset($placeholder)?$placeholder:null}}</label>
        <select class="form-control select-search" style="width: 100%"
                id="{{str_replace('.', '_', $key)}}" name="{{ inputKeyToName($key) }}"
                @if(isset($veeValidate))
                {{--Vee validate--}}
                data-vv-name="{{$key}}"
                @if(isset($placeholder))
                data-vv-as="{{mb_strtolower($placeholder)}}"
                @endif
                v-validate="'{{$veeValidate}}'"
                @endif
                :class="{'is-invalid': errors.has('{{ inputKeyToName($key) }}')}"
                @if(isset($attributes) && is_array($attributes) && !empty($attributes))
                @foreach($attributes as $attr_key => $attr_val )
                @if(is_int($attr_key))
                {{$attr_val}}
                @else
                {!! sprintf('%s="%s"', $attr_key, $attr_val) !!}
                @endif
                @endforeach
                @endif

                @if(isset($placeholder)) title="{{$placeholder}}" @endif>
            <option></option>
            @forelse($options as $optionValue => $text)
                <option value="{!! $optionValue !!}" {{ isset($value) && $optionValue == $value? 'selected' :null }}>
                    {!! $text !!}
                </option>
            @empty
            @endforelse
        </select>


        <div v-if="errors.has('{{inputKeyToName($key)}}')" class="invalid-feedback" role="alert">
            @{{errors.first('{!! inputKeyToName($key) !!}')}}
        </div>

    </div>
@endif
@push('scripts')
    <script>
    (function($) {

        const select2 = '#{{str_replace('.', '_', $key)}}'
        let placeholder = "Please select";

        if ($(select2).is('[title]')) {
            placeholder = $(this).attr('title')
        }

        $(select2).select2({
            placeholder,
            allowClear: true

        })
    })(jQuery, window)
    </script>
@endpush
