import Select2 from "./vue-components/Select2";

require('./bootstrap');
window.Vue =  require('vue')
import VeeValidate, { Validator } from 'vee-validate'
import enVeeValidate from 'vee-validate/dist/locale/en'
import deVeeValidate from 'vee-validate/dist/locale/de'
import ruVeeValidate from 'vee-validate/dist/locale/ru'
import ukVeeValidate from 'vee-validate/dist/locale/uk'
import FilesManager from '@tdev-agency/files-manager'
import AirPicker from "./vue-components/AirPicker";
import ImagePicker from "./vue-components/ImagePicker";

Vue.use(VeeValidate, {
    // events: 'change',
    locale: document.querySelector('html').getAttribute('lang'),
    dictionary: {
        en: enVeeValidate,
        de: deVeeValidate,
        ru: ruVeeValidate,
        uk: ukVeeValidate,
    }
});

Vue.use(FilesManager, { axios: axios })

Vue.component('image-picker', ImagePicker);
Vue.component('air-picker', AirPicker);
Vue.component('select2', Select2);

Vue.prototype.$axios = axios
Vue.prototype.$hub = new Vue()

window.Vue = Vue;
